Subject: Re: [MSEC] Loss of key update message ?

From: Thomas Hardjono <[email-masked]>
Date: Wed, 01 Aug 2001 10:12:17 -0400

Lee,

This is a very good question.  In the SMuG/MSEC work, there was
initially a kind of chicken-and-egg problem.  That is, secure-multicast
needs reliability in key management messages (thus needs a RM protocol),
but the reliable-multicast (RM) protocols in turn needed security.
Also, although the RM protocols had a general set of security requirements,
when it comes to detailed designs, each had additional specific
security requirements.

In order to proceed, the SMuG/MSEC efforts assumed that unidirectional
key management messages from the Key Distributorn would not rely
on an RM protocol, but would simply send the message multiple times.
This general problem, I think, needs general study in the context
of real-world applications.

Other related work would be the combination of layered coding (ie. ALC)
and layered multicast with key management.  Thus, this combines
reliability and the in-stream delivery of key management messages.

thomas
------

At 8/3/2001||10:51 PM, Lee Fu-yuan wrote:
>hi all:
>
>         I am so interested at the key management issues of multicast.
>         After reading some papers, I found that currently proposed
>         mechanisms seldom mentioned about packet loss in their schemes.
>         Is it true that all the currently proposed scheme assume that
>         a reliable multicast system is deployed ?
>         In the KeyStone system which is proposed by Chung Kei Wong, forward
>         error correction is used to reduce the probability of loss of key
>         update message.  Are there any other papers that have discussed the
>         impact of packet loss ?
>
>         Best regards.
>
>--
>Lee, Fu-Yuan
>Distributed System and Network Security Lab.
>Dept. of Comp. Sci. & Info. Eng
>Nat'l Chiao Tung Univ.
>Hsinchu, Taiwan 30050, ROC
>E-Mail: [email-masked]
>
>_______________________________________________
>msec mailing list
>[email-masked]
>http://www.pairlist.net/mailman/listinfo/msec

_______________________________________________
msec mailing list
[email-masked]
http://www.pairlist.net/mailman/listinfo/msec

---

From: Mark Baugher <[email-masked]>
Date: Fri, 03 Aug 2001 16:00:48 -0700

Hi
   This issue had been discussed in the IRTF meetings in the past.  I don't 
think we have done a good job of bringing this discussion into the msec key 
management documents until recently:  The issue of reliable distribution of 
multicast messages is mentioned in draft-ietf-msec-gkmarch-00.txt only to 
the extent of requirements that must be satisfied by the "re-key" 
protocol.  There is a draft on the re-key protocol to be submitted under 
the auspices of msec that will discuss the problem of message loss of key 
management messages that are sent via multicast.  I expect we will see this 
draft this summer or early fall.

Mark